<div fxFlex fxLayout="row" class="container">
  <h1 class="kd-header">Employees</h1>
  <mat-divider></mat-divider>
  <div class="kd-div-top-spacer"></div>

  <div *ngIf="showUsers(); else noUsers">
    <table class="kd-employees-table">
      <tr>
        <th>Firstname</th>
        <th>Lastname</th>
        <th>Age</th>
        <th>Email</th>
        <th>Phone</th>
        <th>Join date</th>
        <th>Position</th>
        <th>Team</th>
        <th>CV</th>
        <th *ngIf="authService.isLoggedOwner()">Details</th>
        <th *ngIf="authService.isLoggedOwner()">Edit</th>
        <th *ngIf="authService.isLoggedOwner()">Fire (archive)</th>
      </tr>
      <tr *ngFor="let user of users">
        <td>{{ user.firstname }}</td>
        <td>{{ user.lastname }}</td>
        <td>{{ user | age }}</td>
        <td>{{ user.email }}</td>
        <td>{{ user.phone }}</td>
        <td>{{ user.joinDate }}</td>
        <td>{{ user.position }}</td>
        <td>{{ user.team }}</td>
        <td>
          <a mat-icon [href]="user.cv" target="_blank" class="kd-inline">
            <mat-icon class="kd-link">link</mat-icon>
          </a>
        </td>
        <td *ngIf="authService.isLoggedOwner()">
          <mat-icon class="kd-details kd-inline"
                    [routerLink]="['/default', 'profile', user._id]">
            article
          </mat-icon>
        </td>
        <td *ngIf="authService.isLoggedOwner()">
          <mat-icon class="kd-edit kd-inline" (click)="onOpenEmployeeEditDialog(user)">
            create
          </mat-icon>
        </td>
        <td *ngIf="authService.isLoggedOwner()">
          <mat-icon class="kd-archive-danger kd-inline" (click)="onArchiveEmployee(user)">
            archive
          </mat-icon>
        </td>
      </tr>
    </table>
  </div>
  <ng-template #noUsers>
    <h3>No employees currently employed</h3>
  </ng-template>

  <div class="kd-div-top-spacer"></div>

  <button *ngIf="authService.isLoggedOwner()"
          class="btn kd-add-employee"
          (click)="onOpenEmployeeAccountCreationDialog()">
    <div class="kd-inline">
      <mat-icon>add_box</mat-icon>
      <span class="kd-inline-text">Create employee account</span>
    </div>
  </button>

  <div class="kd-div-top-spacer"></div>
  <div style="padding-top: 50px;"></div>

  <div *ngIf="authService.isLoggedOwner()" class="kd-inline">
    <mat-icon>library_books</mat-icon>
    <span (click)="onShowArchive()" class="kd-inline-text kd-hover">{{ showArchiveText }}</span>
  </div>
  <div style="padding-top: 30px;"></div>

  <div *ngIf="authService.isLoggedOwner() && showArchive">
    <h1 class="kd-header">Archive</h1>
    <mat-divider></mat-divider>
    <div class="kd-div-top-spacer"></div>

    <div *ngIf="showArchivedUsers(); else emptyArchive">
      <table class="kd-employees-table">
        <tr>
          <th>Firstname</th>
          <th>Lastname</th>
          <th>Age</th>
          <th>Email</th>
          <th>Phone</th>
          <th>Join date</th>
          <th>Position</th>
          <th>Team</th>
          <th>CV</th>
          <th>Unarchive</th>
          <th>Remove</th>
        </tr>
        <tr *ngFor="let user of archivedUsers">
          <td>{{ user.firstname }}</td>
          <td>{{ user.lastname }}</td>
          <td>{{ user | age }}</td>
          <td>{{ user.email }}</td>
          <td>{{ user.phone }}</td>
          <td>{{ user.joinDate }}</td>
          <td>{{ user.position }}</td>
          <td>{{ user.team }}</td>
          <td>
            <a mat-icon [href]="user.cv" target="_blank" class="kd-inline">
              <mat-icon class="kd-link">link</mat-icon>
            </a>
          </td>
          <td>
            <mat-icon class="kd-unarchive kd-inline" (click)="onUnarchiveEmployee(user)">
              unarchive
            </mat-icon>
          </td>
          <td>
            <mat-icon class="kd-remove-danger" (click)="onRemoveEmployee(user)">
              clear
            </mat-icon>
          </td>
        </tr>
      </table>

      <div class="kd-div-top-spacer"></div>

      <button class="btn kd-clear-archive" (click)="onClearArchive()">
        <div class="kd-inline">
          <mat-icon>delete_forever</mat-icon>
          <span class="kd-inline-text">Clear archive</span>
        </div>
      </button>
    </div>
    <ng-template #emptyArchive>
      <h3>Archive is empty</h3>
    </ng-template>

    <div class="kd-div-top-spacer"></div>
  </div>
</div>
